#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint flutter_apm.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'flutter_apm'
  s.version          = '6.2.1-beta1'
  s.summary          = 'Build, drive and manage your multi-dimensional customer engagement program.'
  s.description      = <<-DESC
Build, drive and manage your multi-dimensional customer engagement program.
                       DESC
  s.homepage         = 'https://www.d-aim.com/fr/logiciel/engagement-client/'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Vincent D-AIM' => 'vducastel@d-aim.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.platform = :ios, '10.0'
  s.ios.deployment_target = '10.0'
  s.swift_version = '5.0'

  #Need for works with use_frameworks! in podfile
  s.static_framework = true

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }

  s.dependency 'APM', '6.2.1-beta1'
end
